Yate: MimeBinaryBody Class Reference

Yate

Public Member Functions | Protected Member Functions | List of all members
MimeBinaryBody Class Reference

MIME for obscure binary data. More...

`#include <yatemime.h>`

Inheritance diagram for MimeBinaryBody:

## Public Member Functions
| MimeBinaryBody (const String &type, const char *buf, int len)
| MimeBinaryBody (const MimeHeaderLine &type, const char *buf, int len)
virtual | ~MimeBinaryBody ()
virtual void * | getObject (const String &name) const
virtual MimeBody * | clone () const
Public Member Functions inherited from MimeBody
virtual | ~MimeBody ()
const MimeHeaderLine & | getType () const
MimeBody * | getFirst (const String &type) const
const ObjList & | headers () const
void | appendHdr (MimeHeaderLine *hdr)
void | removeHdr (MimeHeaderLine *hdr, bool delobj=true)
MimeHeaderLine * | findHdr (const String &name, const MimeHeaderLine *start=0) const
void | buildHeaders (String &buf)
bool | setParam (const char *name, const char *value=0, const char *header=0)
bool | delParam (const char *name, const char *header=0)
const NamedString * | getParam (const char *name, const char *header=0) const
const DataBlock & | getBody () const
const DataBlock & | body () const
virtual bool | isSDP () const
virtual bool | isMultipart () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Protected Member Functions
| MimeBinaryBody (const MimeBinaryBody &original)
virtual void | buildBody () const
Protected Member Functions inherited from MimeBody
| MimeBody (const String &type)
| MimeBody (const MimeHeaderLine &type)

## Additional Inherited Members
Static Public Member Functions inherited from MimeBody
static MimeBody * | build (const char *buf, int len, const MimeHeaderLine &type)
static String * | getUnfoldedLine (const char *&buf, int &len)
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Attributes inherited from MimeBody
DataBlock | m_body
ObjList | m_headers

## Detailed Description

MIME for obscure binary data.

An object holding a binary block of MIME data

## Constructor & Destructor Documentation

## ◆ MimeBinaryBody() [1/3]

MimeBinaryBody | ( | const String & | type,
|  | const char * | buf,
|  | int | len )

Constructor from block of data

Parameters

  type | The value of the Content-Type header line
  buf | Pointer to buffer of data
  len | Length of data in buffer

Referenced by MimeBinaryBody().

## ◆ MimeBinaryBody() [2/3]

MimeBinaryBody | ( | const MimeHeaderLine & | type,
|  | const char * | buf,
|  | int | len )

Constructor from block of data

Parameters

  type | The content type header line
  buf | Pointer to buffer of data
  len | Length of data in buffer

## ◆ ~MimeBinaryBody()

virtual ~MimeBinaryBody | ( |  | ) |
| virtual

Destructor

## ◆ MimeBinaryBody() [3/3]

MimeBinaryBody | ( | const MimeBinaryBody & | original | ) |
| protected

Copy constructor

References MimeBinaryBody().

## Member Function Documentation

## ◆ buildBody()

virtual void buildBody | ( |  | ) | const
| protectedvirtual

Override that is called internally to build the binary encoded body

Implements MimeBody.

## ◆ clone()

virtual MimeBody * clone | ( |  | ) | const
| virtual

Duplicate this MIME body

Returns
  Copy of this MIME body - a new MimeBinaryBody

Implements MimeBody.

References MimeBody::MimeBody().

## ◆ getObject()

virtual void * getObject | ( | const String & | name | ) | const
| virtual

RTTI method, get a pointer to a derived class given the class name

Parameters

  name | Name of the class we are asking for

Returns
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

The documentation for this class was generated from the following file:

- yatemime.h